Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.common
Class ExtBasicMenuUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.ButtonUI
              javax.swing.plaf.MenuItemUI
                  javax.swing.plaf.basic.BasicMenuItemUI
                      javax.swing.plaf.basic.BasicMenuUI
                          com.jgoodies.looks.common.ExtBasicMenuUI

Direct Known Subclasses:
  PlasticMenuUI

    public class ExtBasicMenuUI

extends BasicMenuUI

An implementation of `MenuUI` used by the JGoodies Windows and Plastic looks. Unlike it's superclass, it aligns submenu items.

Version:
  $Revision: 1.12 $
Author:
  Karsten Lentzsch

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicMenuUI
`BasicMenuUI.ChangeHandler, BasicMenuUI.MouseInputHandler`

Field Summary

Fields inherited from class javax.swing.plaf.basic.BasicMenuUI
`changeListener, menuListener`

Fields inherited from class javax.swing.plaf.basic.BasicMenuItemUI
`acceleratorFont, acceleratorForeground, acceleratorSelectionForeground, arrowIcon, checkIcon, defaultTextIconGap, disabledForeground, menuDragMouseListener, menuItem, menuKeyListener, mouseInputListener, oldBorderPainted, propertyChangeListener, selectionBackground, selectionForeground`

Constructor Summary
`ExtBasicMenuUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent b)`
`protected Dimension` | `getPreferredMenuItemSize(JComponent c, Icon aCheckIcon, Icon anArrowIcon, int textIconGap)`
`protected String` | `getPropertyPrefix()`
`protected void` | `installDefaults()`
`protected void` | `installListeners()`
`protected void` | `paintMenuItem(Graphics g, JComponent c, Icon aCheckIcon, Icon anArrowIcon, Color background, Color foreground, int textIconGap)`
`protected void` | `uninstallDefaults()`
`protected void` | `uninstallListeners()`

Methods inherited from class javax.swing.plaf.basic.BasicMenuUI
`createChangeListener, createMenuDragMouseListener, createMenuKeyListener, createMenuListener, createMouseInputListener, createPropertyChangeListener, getMaximumSize, installKeyboardActions, setupPostTimer, uninstallKeyboardActions`

Methods inherited from class javax.swing.plaf.basic.BasicMenuItemUI
`doClick, getMinimumSize, getPath, getPreferredSize, installComponents, installUI, paint, paintBackground, paintText, uninstallComponents, uninstallUI, update`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtBasicMenuUI

    public ExtBasicMenuUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent b)

### installDefaults

    protected void installDefaults()

  Overrides:
    `installDefaults` in class `BasicMenuUI`

### uninstallDefaults

    protected void uninstallDefaults()

  Overrides:
    `uninstallDefaults` in class `BasicMenuUI`

### getPropertyPrefix

    protected String getPropertyPrefix()

  Overrides:
    `getPropertyPrefix` in class `BasicMenuUI`

### getPreferredMenuItemSize

    protected Dimension getPreferredMenuItemSize(JComponent c,
                                                 Icon aCheckIcon,
                                                 Icon anArrowIcon,
                                                 int textIconGap)

  Overrides:
    `getPreferredMenuItemSize` in class `BasicMenuItemUI`

### paintMenuItem

    protected void paintMenuItem(Graphics g,
                                 JComponent c,
                                 Icon aCheckIcon,
                                 Icon anArrowIcon,
                                 Color background,
                                 Color foreground,
                                 int textIconGap)

  Overrides:
    `paintMenuItem` in class `BasicMenuItemUI`

### installListeners

    protected void installListeners()

  Overrides:
    `installListeners` in class `BasicMenuUI`

### uninstallListeners

    protected void uninstallListeners()

  Overrides:
    `uninstallListeners` in class `BasicMenuUI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JGoodies Karsten Lentzsch. All Rights Reserved.